Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-102773

Error in Available Plugin

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: User Configuration Error
    • Affects Version/s: None
    • Fix Version/s: N/A
    • Component/s: Plugins
    • Labels:

      Description

      [Errno 1] Operation not permitted: b'/mnt/FNSRV/iocage/.plugin_index/openvpn.json'

      remove_circle_outline More info...

      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 643, in fetch_plugin_index
          self.__clone_repo(git_server, git_working_dir)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1255, in __clone_repo
          porcelain.pull(destination, repo_url, errstream=devnull)
        File "/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py", line 826, in pull
          r.reset_index(tree=tree)
        File "/usr/local/lib/python3.6/site-packages/dulwich/repo.py", line 950, in reset_index
          validate_path_element=validate_path_element)
        File "/usr/local/lib/python3.6/site-packages/dulwich/index.py", line 530, in build_index_from_tree
          obj, entry.mode, full_path, honor_filemode=honor_filemode)
        File "/usr/local/lib/python3.6/site-packages/dulwich/index.py", line 460, in build_file_from_blob
          os.chmod(target_path, mode)
      PermissionError: [Errno 1] Operation not permitted: b'/mnt/FNSRV/iocage/.plugin_index/openvpn.json'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 540, in list_resource
          header=False)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 914, in fetch
          icon=True, official=official)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 650, in fetch_plugin_index
          _callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
          _callback(content, exception)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
          raise callback_exception(message)
      RuntimeError: [Errno 1] Operation not permitted: b'/mnt/FNSRV/iocage/.plugin_index/openvpn.json'
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 167, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1098, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1043, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1063, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 997, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 973, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      RuntimeError: [Errno 1] Operation not permitted: b'/mnt/FNSRV/iocage/.plugin_index/openvpn.json'
       

        Attachments

        1. debug-freenas-20190810124404.tgz
          617 kB
        2. Untitled 10.jpg
          Untitled 10.jpg
          46 kB
        3. Untitled 8.jpg
          Untitled 8.jpg
          25 kB
        4. Untitled 9.jpg
          Untitled 9.jpg
          60 kB

          Attachments

            JEditor

              Activity

                People

                Assignee:
                william William Grzybowski
                Reporter:
                metairieman55@gmail.com Lenny Leo
                Watchers:
                Lenny Leo, Martin Wilke (Inactive), William Grzybowski
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: